{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.features.desktop.wallpapers;
in {
  options.features.desktop.wallpapers = mkEnableOption "Wallpapers for Hyprland";

  config = mkIf cfg {
    xdg.configFile."hypr/wallpapers" = {
      source = ../../m3tam3re/wallpapers;
      recursive = true;
    };
  };
}
